import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *Flying bird*
-------------
Filename:	FlyingBird.png, FlyingBird1.png.
Description:
A blue bird that flies back and forth.
 * @Elin Larsson
 * @Last updated Jan 11
 */
public class Bird extends Enemy
{
    private GreenfootImage anim1;
    private GreenfootImage anim2;
    private int animCounter = 0;
    private int animSpeed = 1; //Animation delay, affects how fast the bird flap its wings
    private int speedX = 4; // move speed
    public Bird()
    {
        anim1 = new GreenfootImage("FlyingBird.png");
        anim2 = new GreenfootImage("FlyingBird1.png");
        setImage(anim1);
    }

    /**
     * Act - do whatever the Bird wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        fly();
        super.act(); //runs the Enemy act
        setLocation(getX(), getY() + cameraspeed);
        
        
        checkStatusbar();
        checkUpKey();
    }

    /**
     * FLY
     * 
     * If the bird reaches the edge of the screen, turn horizontally and move backwards
     */
    public void fly()
    {
        if (getX()>600)
        {
            speedX = -speedX;
            anim1.mirrorHorizontally();
            anim2.mirrorHorizontally();
        }
        else if (getX()<0)
        {
            speedX = -speedX;
            anim1.mirrorHorizontally();
            anim2.mirrorHorizontally();
        }
        setLocation(getX() + speedX, getY());
        animation();

    }

    /**
     * ANIMATION
     */
    public void animation()
    {
        animCounter++;
        if (animCounter > animSpeed)
        {
            if (getImage() == anim1)
            {
                setImage(anim2);
            }
            else
            {
                setImage(anim1);
            }
            animCounter = 0;

        }
    }

}