import greenfoot.*;

/**
 * ClimberWorld.java
 * 
 * @author  Mort Yao    <mort.yao@gmail.com>
 * @version 2011-12-06
 */
public class ClimberWorld extends World
{
    
    //StartScreen start = new StartScreen();

    private static int worldWidth = 600;
    private static int worldHeight = 600;
    private static int playerBottomMargin = 80;
    private static int cellSize = 1;
    private static boolean bounded = false;
    public int cameraspeed = 2;
    
    private GreenfootSound music = new GreenfootSound("jungle.mp3");

    private Level<? extends MapTemplate> level0;

    private MainBackground mainBackground;
    private Parallax parallaxBackground;

    private Player player;

    private HUD hud;
    
    public void started()  
    {  
    music.playLoop();  
    }  
  
    public void stopped()  
    {  
    music.stop();  
    }
    

    public void setMainBackground(String fileName, int width, int height)
    {
        mainBackground = new MainBackground(fileName, width, height);
        addObject(mainBackground, 0, 0);
    }

    public void setPlayer(String fileName)
    {
        player = new Player(fileName);
        addObject(player, worldWidth / 2, worldHeight - playerBottomMargin);
    }

    public ClimberWorld()
    {
        super(worldWidth, worldHeight, cellSize, bounded);

        level0 = new Level<MapDemo>(new MapDemo());
        level0.getMap().init(this);

        hud = new HUD();
        super.addObject(hud, hud.getWidth() / 2, hud.getHeight() / 2);

        parallaxBackground = new Parallax();
        addObject(parallaxBackground,300,-600);

        updateCamera();
        


        setPaintOrder(Introduction.class, HUD.class, Enemy.class, Coin.class, Platform.class, Dude.class, Powerjump.class, Finish.class, Background.class, Parallax.class);
        
        

    }

    public void act()
    {        
        player.move(0, +1);
        updateCamera();
        
    }

    private void updateCamera()
    {
        mainBackground.setLocation(worldWidth / 2 - player.getPosX(),
            worldHeight - playerBottomMargin + player.getPosY() - mainBackground.getHeight() /2 +100);
    }
}
