import greenfoot.*;
import java.awt.Color;
import java.awt.Font;

/**
 * HUD.java
 * 
 * @author  Mort Yao    <mort.yao@gmail.com>
 * @version 2011-12-06
 */
public class HUD extends Actor {
    /**
     * the width of the HUD
     */
    private static int width = 120;
    /**
     * the height of the HUD
     */
    private static int height = 100;
    /**
     * font size of the HUD
     */
    private static float fontSize = 12.0f;

    public int cameraspeed = 1;
    public int staminabar = 0;
    private int staminanumber = 0;

    /**
     * Constructor.
     * 
     * @param message
     *            message
     * @param score
     *            life
     * @param score
     *            stamina
     * @param score
     *            score
     */
    public HUD(String message, int life, int stamina, int score) {
        update(message, life, stamina, score);
    }

    /**
     * Constructor. (by default)
     */
    public HUD() {

        update("Player", 1, 0, 0);
    }

    /**
     * Updates the HUD.
     * 
     * @param message
     *            message
     * @param score
     *            score
     */
    public void update(String message, int life, int stamina, int score) {

        GreenfootImage imageHUD = new GreenfootImage(width, height);
        imageHUD.setColor(new Color(0, 0, 0, 128));
        imageHUD.fillRect(5, 5, width - 10, height - 10);

        Font font = imageHUD.getFont();
        font = font.deriveFont(fontSize);
        imageHUD.setFont(font);
        imageHUD.setColor(Color.WHITE);
        imageHUD.drawString(message, 20, 20);
        imageHUD.drawString("Life: " + life, 20, 50);
        imageHUD.drawString("Stamina: " + stamina + "%", 20, 70);
        imageHUD.drawString("Score: " + score, 20, 90);

        setImage(imageHUD);
    }

    /**
     * Gets the width of the HUD.
     * 
     * @return width of the HUD
     */
    public int getWidth() {
        return width;
    }

    /**
     * Gets the height of the HUD.
     * 
     * @return height of the HUD
     */
    public int getHeight() {
        return height;
    }

    public void act() 
    {
        
        checkUpKey();
    }
    
    public void checkStatusbar(){
        if(staminabar == 60){
            staminanumber = 20;
        }
        if(staminabar == 120){
            cameraspeed = 3;
        }
        if(staminabar == 190){
            cameraspeed = 4;
        }
        if(staminabar == 290){
            cameraspeed = 5;
        }
    }
    
    public void checkUpKey() {
        if (Greenfoot.isKeyDown("up"))
        {
            staminabar = staminabar +1;
        }
    }
}
