import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *
 * Lizard*
--------------------------------------------------------------------------------
Filename:   Lizard.png, Lizard1.png
Description: A Green lizard climbing the mountain. The lizard only climbs
vertically (upwards). While climbing the lizard will
alternate between Lizard.png and Lizard1.png.

When the player bumps into the lizard the player stops.

 * @Elin Larsson
 * @last updated Jan 11
 * 
 */
public class Lizard extends Enemy
{
    private GreenfootImage anim1;
    private GreenfootImage anim2;
    private int animCounter = 0;
    private int animSpeed = 2; //Animation delay

    public Lizard()
    {
        anim1 = new GreenfootImage("Lizard.png");
        anim2 = new GreenfootImage("Lizard1.png");
        setImage(anim1);
    }

    /**
     * Act - do whatever the Lizard wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        climbUp();
        super.act(); //runs the Enemy act
        // Add your action code here.
    }

    /**
     * CLIMB
     */
    public void climbUp()
    {
        setLocation(getX(), getY() - 2); // Direction and speed of climbing
        animation();
    }

    /**
     * ANIMATION
     */
    public void animation()
    {
        animCounter++;
        if (animCounter > animSpeed)
        {
            if (getImage() == anim1)
            {
                setImage(anim2);
            }
            else
            {
                setImage(anim1);
            }
            animCounter = 0;

        }
    }
}
